function R=eci2orbit(in)

% Author: Jan Rohde

% Input:    vel:  Velocity of the satellite
%           Time: Time since last latitude=0
vel = in(1);
time = in(2);
mu = vel*time;

R = [   cos(mu)    0   sin(mu)
        0           -1  0
        sin(mu)    0   -cos(mu)];