/*********************************************************
File:   Magnetometer.c
Author: Jan Rohde
Date:   4.6.07
Description:  functions for receiving measurements from 
              the magnetometer.
*********************************************************/

#include "magnetometer.h"


//samplingrate for magnetometer from the datasheet
int mag_sampling_rate = 20;


magMeasurement mag_buffer[MAG_BUFF_SIZE];
magMeasurement Bdot;



void mag_send_command_N(char *cmd, int length){
  int i;
  for (i=0; i< length;i++) {
                                      //insert delay
    uart_putchar(*cmd++);
  }
  uart_putchar(CR_CHAR);
}

void mag_send_command(char *cmd) {
  while (*cmd) {
                                      //insert delay
    uart_putchar(*cmd++);
  }
  uart_putchar(CR_CHAR);
}

