%rotating the ECI frame to the ECEF frame
function ECEFpos = ECI2ECEF(in)

omega_e = 7.292115e-5;

gamma = in(4)*omega_e;

Rz = [cos(gamma) -sin(gamma) 0
      sin(gamma) cos(gamma) 0
      0 0 1];

ECEFpos = Rz'*in(1:3);