function F = nonlinearProp(x_hat)

%x_hat = [eta, eps1, eps2, eps3, w_B_OB1, w_B_OB2, w_B_OB3]'
global omega_o;
global I;

w_O = omega_o;

kx = ( I(2,2)-I(3,3) )/I(1,1);
ky = ( I(1,1)-I(3,3) )/I(2,2);
kz = ( I(2,2)-I(1,1) )/I(3,3);

epsilon = x_hat(2:4);   eta = x_hat(1);     w_B_OB = x_hat(5:7);

F_attitude = [-0.5*(epsilon')*w_B_OB; 0.5*(eta*eye(3)+smtrx(epsilon))*w_B_OB];

R_B_O = rquat([eta; epsilon])';

%F_velocity = [inv(I)*(-smtrx(w_B_OB + R_B_O*[0;omega_o;0])*(I*(w_B_OB + R_B_O*[0;omega_o;0]))+2*1e-8*rand(3,1)-1e-8*ones(3,1))+smtrx(w_B_OB)*R_B_O*[0;omega_o;0]];
F_velocity = [inv(I)*(-smtrx(w_B_OB + R_B_O*[0;omega_o;0])*(I*(w_B_OB + R_B_O*[0;omega_o;0])))+smtrx(w_B_OB)*R_B_O*[0;omega_o;0]];
F = [ F_attitude;
      F_velocity];